html,
body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    font-family: sans-serif;
}
body {
    display: flex;
    flex-direction: column;
    background: #f3f3f3;
}

header {
    position: sticky;
    top: 0;
    z-index: 1000;

    background-color: rgb(255, 255, 255);
    color: #000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

footer {
    background-color: black;
    color: white;
    padding: 1rem;
}

main {
    flex: 1;
}

h1 {
    margin: 0px;
    padding: 0px;
}

h2 {
    margin: 0;
    font-size: 2rem;
    color: #000;
}

.logo {
    color: #000;
    text-decoration: none;
}

.header-button-container {
    color: #808080;
    text-decoration: none;
}

.header-button {
    font-size: 30px;
    margin: 0px;
    padding: 0px;
    margin: 10px;
}

.header-button:hover {
    color: #000;
}

.pressable {
    cursor: pointer;
}

.icon-large {
    font-size: 30px;
}

.icon-small {
    font-size: 20px;
}

.header-actions {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.profile-menu-container {
    position: relative;
}

.profile-menu {
    position: absolute;
    top: calc(100% + 0.5rem);
    right: 0;

    min-width: 140px;

    background: white;
    border: 1px solid #ddd;
    border-radius: 12px;

    padding: 0.5rem;
    padding-bottom: 2rem;

    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.12);

    z-index: 1000;
}

.hidden {
    display: none;
}

.logout-button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    color: #808080;
    font-size: 1.5rem;
}

.logout-button i {
    color: #808080;
}

.logout-button:hover {
    color: #000;
}

.logout-button:hover i {
    color: #000;
}
